package cn.com.qmth.examcloud.task.service.job;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import cn.com.qmth.examcloud.task.service.ReportsComputeService;
import cn.com.qmth.examcloud.task.service.consumer.ReportsComputeConsumer;
import cn.com.qmth.examcloud.task.service.producer.ReportsComputeProducer;
import cn.com.qmth.examcloud.web.task.AbstractTask;
import cn.com.qmth.examcloud.web.task.ScheduleJob;
import cn.com.qmth.examcloud.web.task.TaskTracker;

@Component("reportsComputeTask")
public class ReportsComputeTask extends AbstractTask {

	@Autowired
	ReportsComputeService reportsComputeService;

	@Autowired
	TaskTracker TaskTracker;
	
	@Override
	public void run(ScheduleJob scheduleJob) throws Exception {
		int c=reportsComputeService.getTodoDataCount();
		if(c>0) {
			ReportsComputeProducer pro=new ReportsComputeProducer();
			pro.startDispose(ReportsComputeConsumer.class, c>10?10:c, null);
		}
	}

	@Override
	public TaskTracker getTaskTracker() {
		return TaskTracker;
	}
}
